/*
package net.tccn.plat;

import lombok.Getter;
import lombok.Setter;
import net.tccn.base.arango.Doc;
import org.redkale.convert.ConvertColumn;

import javax.persistence.Table;

*/
/**
 * 数据库平台
 * @author: liangxianyou at 2018/11/14 12:58.
 *//*

@Getter
@Setter
@Table(name = "MetaDb", catalog = "db_meta")
public class MetaDb extends Doc<MetaDb> {
    public static MetaDb dao = dao(MetaDb.class);

    private String name; //名称
    private String cate; //类型 mysql|ArangoDb
    private String remark; //备注
    private String url; //数据库连接地址
    private String user; //账号
    private String pwd; //密码
    private String[] catalogs; //库
    private Integer status;//状态 1启用， 0 未启用

    public String accountKey() {
        int start = url.indexOf("//") + 2;
        int end = url.indexOf("/", start);
        int endDef = url.indexOf("?", end);
        if (endDef == -1) {
            endDef = url.length();
        }
        String host = url.substring(start, end == -1 ? url.length() : end);
        return user + ":" + pwd + "@" + host;
    }

    //@ConvertColumn(ignore = true)
    public String getPwd() {
        return pwd;
    }
}
*/
